<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:i6="http://iuclid6.echa.europa.eu/namespaces/platform-fields/v1" xmlns:i6c="http://iuclid6.echa.europa.eu/namespaces/platform-container/v1" xmlns:xt="http://iuclid6.echa.europa.eu/namespaces/FLEXIBLE_RECORD-DsdDpd/3.0" version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <link href="iuclid6_style.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <table>
                    <tr/>
                    <xsl:apply-templates/>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="//i6c:PlatformMetadata | //i6c:Attachments | //i6c:ModificationHistory"/>
    <xsl:template match="//xt:FLEXIBLE_RECORD">
        <tr class="headerDocument">
            <td>DSD - DPD</td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:NotClassified">
        <tr>
            <td class="label">Not classified</td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:DataProtection">
        <tr>
            <td class="label"/>
            <td class="value">
                <xsl:apply-templates/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:ConcentrationRange">
        <tr>
            <td class="label">Concentration range (%)</td>
            <td class="value">
                <xsl:value-of select="./i6:lowerQualifier "/>
                <xsl:value-of select="./i6:lowerValue "/>
                <xsl:value-of select="./i6:upperQualifier "/>
                <xsl:value-of select="./i6:upperValue "/>
                <xsl:value-of select="./i6:unitOther "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Classification | //xt:Classification | //xt:Classification | //xt:Classification | //xt:Classification | //xt:Classification | //xt:Classification | //xt:Classification | //xt:Classification | //xt:IndicationsOfDanger | //xt:Risks | //xt:Classification">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'Risks'">Risk phrases</xsl:when>
                    <xsl:when test="name(.) = 'IndicationsOfDanger'">Indication of danger</xsl:when>
                    <xsl:when test="name(.) = 'Classification'">Classification</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '5000'">E; R2 Risk of explosion by shock, friction, fire or other sources of ignition.</xsl:when>
                    <xsl:when test="./i6:value = '5001'">E; R3 Extreme risk of explosion by shock, friction, fire or other sources of ignition.</xsl:when>
                    <xsl:when test="./i6:value = '5002'">R1 Explosive when dry.</xsl:when>
                    <xsl:when test="./i6:value = '5003'">R4 Forms very sensitive explosive metallic compounds.</xsl:when>
                    <xsl:when test="./i6:value = '5004'">R16 Explosive when mixed with oxidising substances.</xsl:when>
                    <xsl:when test="./i6:value = '5005'">R18 In use, may form flammable/explosive vapour-air mixture.</xsl:when>
                    <xsl:when test="./i6:value = '5006'">R19 May form explosive peroxides.</xsl:when>
                    <xsl:when test="./i6:value = '5007'">R44 Risk of explosion if heated under confinement.</xsl:when>
                    <xsl:when test="./i6:value = '5008'">O; R7 May cause fire.</xsl:when>
                    <xsl:when test="./i6:value = '5009'">O; R8 Contact with combustible material may cause fire</xsl:when>
                    <xsl:when test="./i6:value = '5010'">O; R9 Explosive when mixed with combustible material.</xsl:when>
                    <xsl:when test="./i6:value = '5011'">R7 May cause fire.</xsl:when>
                    <xsl:when test="./i6:value = '5013'">F; R11 Highly flammable</xsl:when>
                    <xsl:when test="./i6:value = '5012'">F+; R12 Extremely flammable.</xsl:when>
                    <xsl:when test="./i6:value = '5017'">F; R14/15 Reacts violently with water, liberating extremely flammable gases.</xsl:when>
                    <xsl:when test="./i6:value = '5014'">F; R15 Contact with water liberates extremely flammable gases.</xsl:when>
                    <xsl:when test="./i6:value = '5018'">F; R15/29 Contact with water liberates toxic, extremely flammable gas.</xsl:when>
                    <xsl:when test="./i6:value = '5015'">F; R17 Spontaneously flammable in air.</xsl:when>
                    <xsl:when test="./i6:value = '5016'">R10 Flammable.</xsl:when>
                    <xsl:when test="./i6:value = '5019'">R14 Reacts violently with water.</xsl:when>
                    <xsl:when test="./i6:value = '5020'">R30 Can become highly flammable in use.</xsl:when>
                    <xsl:when test="./i6:value = '5021'">R5 Heating may cause an explosion.</xsl:when>
                    <xsl:when test="./i6:value = '5022'">R6 Explosive with or without contact with air.</xsl:when>
                    <xsl:when test="./i6:value = '5045'">R29 Contact with water liberates toxic gas.</xsl:when>
                    <xsl:when test="./i6:value = '5046'">R31 Contact with acids liberates toxic gas.</xsl:when>
                    <xsl:when test="./i6:value = '5047'">R32 Contact with acids liberates very toxic gas.</xsl:when>
                    <xsl:when test="./i6:value = '5048'">R67 Vapours may cause drowsiness and dizziness.</xsl:when>
                    <xsl:when test="./i6:value = '5032'">T; R23 Toxic by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5035'">T; R23/24 Toxic by inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5036'">T; R23/24/25 Toxic by inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5034'">T; R23/25 Toxic by inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5031'">T; R24 Toxic in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5033'">T; R24/25 Toxic in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5030'">T; R25 Toxic if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5025'">T+; R26 Very toxic by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5028'">T+; R26/27 Very toxic by inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5029'">T+; R26/27/28 Very toxic by inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5027'">T+; R26/28 Very toxic by inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5024'">T+; R27 Very toxic in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5026'">T+; R27/28 Very toxic in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5023'">T+; R28 Very toxic if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5039'">Xn; R20 Harmful by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5042'">Xn; R20/21 Harmful by inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5043'">Xn; R20/21/22 Harmful by inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5040'">Xn; R20/22 Harmful by inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5038'">Xn; R21 Harmful in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5041'">Xn; R21/22 Harmful in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5037'">Xn; R22 Harmful if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5044'">Xn; R65 Harmful: may cause lung damage if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5150'">T; R39 Danger of very serious irreversible effects.</xsl:when>
                    <xsl:when test="./i6:value = '5058'">T; R39/23 Toxic: danger of very serious irreversible effects through inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5061'">T; R39/23/24 Toxic: danger of very serious irreversible effects through inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5062'">T; R39/23/24/25 Toxic: danger of very serious irreversible effects through inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5060'">T; R39/23/25 Toxic: danger of very serious irreversible effects through inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5057'">T; R39/24 Toxic: danger of very serious irreversible effects in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5059'">T; R39/24/25 Toxic: danger of very serious irreversible effects in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5056'">T; R39/25 Toxic: danger of very serious irreversible effects if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5051'">T+; R39/26 Very toxic: danger of very serious irreversible effects through inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5054'">T+; R39/26/27 Very toxic: danger of very serious irreversible effects through inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5055'">T+; R39/26/27/28 Very toxic: danger of very serious irreversible effects through inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5053'">T+; R39/26/28 Very toxic: danger of very serious irreversible effects through inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5050'">T+; R39/27 Very toxic: danger of very serious irreversible effects in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5052'">T+; R39/27/28 Very toxic: danger of very serious irreversible effects in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5049'">T+; R39/28 Very toxic: danger of very serious irreversible effects if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5065'">Xn; R68/20 Harmful: possible risk of irreversible effects through inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5068'">Xn; R68/20/21 Harmful: possible risk of irreversible effects through inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5069'">Xn; R68/20/21/22 Harmful: possible risk of irreversible effects through inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5066'">Xn; R68/20/22 Harmful: possible risk of irreversible effects through inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5064'">Xn; R68/21 Harmful: possible risk of irreversible effects in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5067'">Xn; R68/21/22 Harmful: possible risk of irreversible effects in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '5063'">Xn; R68/22 Harmful: possible risk of irreversible effects if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '5091'">R33 Danger of cumulative effects.</xsl:when>
                    <xsl:when test="./i6:value = '5079'">T; R48/23 Toxic: danger of serious damage to health by prolonged exposure through inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5082'">T; R48/23/24 Toxic: danger of serious damage to health by prolonged exposure through inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5083'">T; R48/23/24/25 Toxic: danger of serious damage to health by prolonged exposure through inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5081'">T; R48/23/25 Toxic: danger of serious damage to health by prolonged exposure through inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5078'">T; R48/24 Toxic: danger of serious damage to health by prolonged exposure in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5080'">T; R48/24/25 Toxic: danger of serious damage to health by prolonged exposure in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5077'">T; R48/25 Toxic: danger of serious damage to health by prolonged exposure if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5086'">Xn; R48/20 Harmful: danger of serious damage to health by prolonged exposure through inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5089'">Xn; R48/20/21 Harmful: danger of serious damage to health by prolonged exposure through inhalation and in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5090'">Xn; R48/20/21/22 Harmful: danger of serious damage to health by prolonged exposure through inhalation, in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5087'">Xn; R48/20/22 Harmful: danger of serious damage to health by prolonged exposure through inhalation and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5085'">Xn; R48/21 Harmful: danger of serious damage to health by prolonged exposure in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '5088'">Xn; R48/21/22 Harmful: danger of serious damage to health by prolonged exposure in contact with skin and if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5084'">Xn; R48/22 Harmful: danger of serious damage to health by prolonged exposure if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '5093'">C; R34 Causes burns.</xsl:when>
                    <xsl:when test="./i6:value = '5092'">C; R35 Causes severe burns.</xsl:when>
                    <xsl:when test="./i6:value = '5102'">R66 Repeated exposure may cause skin dryness or cracking.</xsl:when>
                    <xsl:when test="./i6:value = '5095'">Xi; R36 Irritating to eyes.</xsl:when>
                    <xsl:when test="./i6:value = '5099'">Xi; R36/37 Irritating to eyes and respiratory system.</xsl:when>
                    <xsl:when test="./i6:value = '5101'">Xi; R36/37/38 Irritating to eyes, respiratory system and skin.</xsl:when>
                    <xsl:when test="./i6:value = '5098'">Xi; R36/38 Irritating to eyes and skin.</xsl:when>
                    <xsl:when test="./i6:value = '5097'">Xi; R37 Irritating to respiratory system</xsl:when>
                    <xsl:when test="./i6:value = '5100'">Xi; R37/38 Irritating to respiratory system and skin</xsl:when>
                    <xsl:when test="./i6:value = '5094'">Xi; R38 Irritating to skin.</xsl:when>
                    <xsl:when test="./i6:value = '5096'">Xi; R41 Risk of serious damage to eyes.</xsl:when>
                    <xsl:when test="./i6:value = '5121'">N; R50 Dangerous for the environment; Very toxic to aquatic organisms.</xsl:when>
                    <xsl:when test="./i6:value = '5122'">N; R50/53 Dangerous for the environment; Very toxic to aquatic organisms, may cause long-term adverse effects in the aquatic environment.</xsl:when>
                    <xsl:when test="./i6:value = '5123'">N; R51/53 Dangerous for the environment; Toxic to aquatic organisms, may cause long-term adverse effects in the aquatic environment.</xsl:when>
                    <xsl:when test="./i6:value = '5127'">N; R58 Dangerous for the environment; May cause long-term adverse effects in the environment.</xsl:when>
                    <xsl:when test="./i6:value = '5128'">N; R59 Dangerous for the environment; Dangerous for the ozone layer.</xsl:when>
                    <xsl:when test="./i6:value = '5125'">R52 Harmful to aquatic organisms.</xsl:when>
                    <xsl:when test="./i6:value = '5124'">R52/53  Harmful to aquatic organisms, may cause long-term adverse effects in the aquatic environment.</xsl:when>
                    <xsl:when test="./i6:value = '5126'">R53 May cause long-term adverse effects in the aquatic environment.</xsl:when>
                    <xsl:when test="./i6:value = '2731'">C - corrosive</xsl:when>
                    <xsl:when test="./i6:value = '2796'">E - explosive</xsl:when>
                    <xsl:when test="./i6:value = '2810'">F - highly flammable</xsl:when>
                    <xsl:when test="./i6:value = '2811'">F+ - extremely flammable</xsl:when>
                    <xsl:when test="./i6:value = '2931'">N - dangerous for the environment</xsl:when>
                    <xsl:when test="./i6:value = '2973'">O - oxidising</xsl:when>
                    <xsl:when test="./i6:value = '3360'">T - toxic</xsl:when>
                    <xsl:when test="./i6:value = '3361'">T+ - very toxic</xsl:when>
                    <xsl:when test="./i6:value = '3431'">Xi - irritant</xsl:when>
                    <xsl:when test="./i6:value = '3432'">Xn - harmful</xsl:when>
                    <xsl:when test="./i6:value = '3095'">R40/20 - Harmful: possible risk of irreversible effects through inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3096'">R40/20/21- Harmful: possible risk of irreversible effects through inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3097'">R40/20/21/22 - Harmful: possible risk of irreversible effects through inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3098'">R40/20/22- Harmful: possible risk of irreversible effects through inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3099'">R40/21 - Harmful: possible risk of irreversible effects in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3100'">R40/21/22 - Harmful: possible riskof irreversible effects in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3101'">R40/22 - Harmful: possible risk of irreversible effects if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3109'">R48 - Danger of serious damage to health by prolonged exposure</xsl:when>
                    <xsl:when test="./i6:value = '3029'">R1 - Explosive when dry</xsl:when>
                    <xsl:when test="./i6:value = '3041'">R2 - Risk of explosion by shock, friction, fire or other sources of ignition</xsl:when>
                    <xsl:when test="./i6:value = '3064'">R3 - Extreme risk of explosion by shock, friction, fire or other sources of ignition</xsl:when>
                    <xsl:when test="./i6:value = '3093'">R4 - Forms very sensitive explosive metallic compounds</xsl:when>
                    <xsl:when test="./i6:value = '3125'">R5 - Heating may cause an explosion</xsl:when>
                    <xsl:when test="./i6:value = '3139'">R6 - Explosive with or without contact with air</xsl:when>
                    <xsl:when test="./i6:value = '3156'">R7 - May cause fire</xsl:when>
                    <xsl:when test="./i6:value = '3157'">R8 - Contact with combustible material may cause fire</xsl:when>
                    <xsl:when test="./i6:value = '3158'">R9 - Explosive when mixed with combustible material</xsl:when>
                    <xsl:when test="./i6:value = '3030'">R10 - Flammable</xsl:when>
                    <xsl:when test="./i6:value = '3031'">R11 - Highly flammable</xsl:when>
                    <xsl:when test="./i6:value = '3032'">R12 - Extremely flammable</xsl:when>
                    <xsl:when test="./i6:value = '3033'">R14 - Reacts violently with water</xsl:when>
                    <xsl:when test="./i6:value = '3034'">R14/15 - Reacts violently with water, liberating extremely flammable gases</xsl:when>
                    <xsl:when test="./i6:value = '3035'">R15 - Contact with water liberates extremely flammable gases</xsl:when>
                    <xsl:when test="./i6:value = '3036'">R15/29 - Contact with water liberates toxic, extremely flammable gas</xsl:when>
                    <xsl:when test="./i6:value = '3037'">R16 - Explosive when mixed with oxidising substances</xsl:when>
                    <xsl:when test="./i6:value = '3038'">R17 - Spontaneously flammable in air</xsl:when>
                    <xsl:when test="./i6:value = '3039'">R18 - In use, may form flammable/explosive vapour-air mixture</xsl:when>
                    <xsl:when test="./i6:value = '3040'">R19 - May form explosive peroxides</xsl:when>
                    <xsl:when test="./i6:value = '3042'">R20 - Harmful by inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3043'">R20/21 - Harmful by inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3044'">R20/21/22 - Harmful by inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3045'">R20/22 - Harmful by inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3046'">R21 - Harmful in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3047'">R21/22 - Harmful in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3048'">R22 - Harmful if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3049'">R23 - Toxic by inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3050'">R23/24 - Toxic by inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3051'">R23/24/25 - Toxic by inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3052'">R23/25 - Toxic by inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3053'">R24 - Toxic in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3054'">R24/25 - Toxic in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3055'">R25 - Toxic if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3056'">R26 - Very toxic by inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3057'">R26/27 - Very toxic by inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3058'">R26/27/28 - Very toxic by inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3059'">R26/28 - Very toxic by inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3060'">R27 - Very toxic in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3061'">R27/28 - Very toxic in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3062'">R28 - Very toxic if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3063'">R29 - Contact with water liberates toxic gas</xsl:when>
                    <xsl:when test="./i6:value = '3065'">R30 - Can become highly flammable in use</xsl:when>
                    <xsl:when test="./i6:value = '3066'">R31 - Contact with acids liberates toxic gas</xsl:when>
                    <xsl:when test="./i6:value = '3067'">R32 - Contact with acids liberates very toxic gas</xsl:when>
                    <xsl:when test="./i6:value = '3068'">R33 - Danger of cumulative effects</xsl:when>
                    <xsl:when test="./i6:value = '3069'">R34 - Causes burns</xsl:when>
                    <xsl:when test="./i6:value = '3070'">R35 - Causes severe burns</xsl:when>
                    <xsl:when test="./i6:value = '3071'">R36 - Irritating to eyes</xsl:when>
                    <xsl:when test="./i6:value = '3072'">R36/37 - Irritating to eyes and respiratory system</xsl:when>
                    <xsl:when test="./i6:value = '3073'">R36/37/38 - Irritating to eyes, respiratory system and skin</xsl:when>
                    <xsl:when test="./i6:value = '3074'">R36/38 - Irritating to eyes and skin</xsl:when>
                    <xsl:when test="./i6:value = '3075'">R37 - Irritating to respiratory system</xsl:when>
                    <xsl:when test="./i6:value = '3076'">R37/38 - Irritating to respiratory system and skin</xsl:when>
                    <xsl:when test="./i6:value = '3077'">R38 - Irritating to skin</xsl:when>
                    <xsl:when test="./i6:value = '3078'">R39 - Danger of very serious irreversible effects</xsl:when>
                    <xsl:when test="./i6:value = '3079'">R39/23 - Toxic: danger of very serious irreversible effects through inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3080'">R39/23/24- Toxic: danger of very serious irreversible effects through inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3081'">R39/23/24/25 - Toxic: danger of very serious irreversible effects through inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3082'">R39/23/25- Toxic: danger of very serious irreversible effects through inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3083'">R39/24 - Toxic: danger of very serious irreversible effects in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3084'">R39/24/25 - Toxic: danger of very serious irreversible effects in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3085'">R39/25 - Toxic: danger of very serious irreversible effects if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3086'">R39/26 - Very toxic: danger of very serious irreversible effects through inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3087'">R39/26/27 - Very toxic: danger of very serious irreversible effects through inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3088'">R39/26/27/28 - Very toxic: danger of very serious irreversible effects through inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3089'">R39/26/28 - Very toxic: danger of very serious irreversible effects through inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3090'">R39/27 - Very toxic: danger of very serious irreversible effects in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3091'">R39/27/28 - Very toxic: danger of very serious irreversible effects in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3092'">R39/28 - Very toxic: danger of very serious irreversible effects if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3094'">R40 - Limited evidence of a carcinogenic effect</xsl:when>
                    <xsl:when test="./i6:value = '3102'">R41 - Risk of serious damage to eyes</xsl:when>
                    <xsl:when test="./i6:value = '3103'">R42 - May cause sensitisation by inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3104'">R42/43 - May cause sensitisation by inhalation and skin contact</xsl:when>
                    <xsl:when test="./i6:value = '3105'">R43 - May cause sensitisation by skin contact</xsl:when>
                    <xsl:when test="./i6:value = '3106'">R44 - Risk of explosion if heated under confinement</xsl:when>
                    <xsl:when test="./i6:value = '3107'">R45 - May cause cancer</xsl:when>
                    <xsl:when test="./i6:value = '3108'">R46 - May cause heritable genetic damage</xsl:when>
                    <xsl:when test="./i6:value = '3110'">R48/20 - Harmful: danger of serious damage to health by prolonged exposure through inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3111'">R48/20/21 - Harmful: danger of serious damage to health by prolonged exposure through inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3112'">R48/20/21/22 - Harmful: danger of serious damage to health by prolonged exposure through inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3113'">R48/20/22 - Harmful: danger of serious damage to health by prolonged exposure through inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3114'">R48/21 - Harmful: danger of serious damage to health by prolonged exposure in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3115'">R48/21/22 - Harmful: danger of serious damage to health by prolonged exposure in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3116'">R48/22 - Harmful: danger of serious damage to health by prolonged exposure if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3117'">R48/23 - Toxic: danger of serious damage to health by prolonged exposure through inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3118'">R48/23/24- Harmful: danger of serious damage to health by prolonged exposure through inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3119'">R48/23/24/25 - Toxic: danger of serious damage to health by prolonged exposure through inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3120'">R48/23/25 - Toxic: danger of serious damage to health by prolonged exposure through inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3121'">R48/24 - Toxic: danger of serious damage to health by prolonged exposure in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3122'">R48/24/25- Toxic: danger of serious damage to health by prolonged exposure in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3123'">R48/25 - Toxic: danger of serious damage to health by prolonged exposure if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3124'">R49 - May cause cancer by inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3126'">R50 - Very toxic to aquatic organisms</xsl:when>
                    <xsl:when test="./i6:value = '3127'">R50/53 - Very toxic to aquatic organisms, may cause long-term adverse effects in the aquatic environment</xsl:when>
                    <xsl:when test="./i6:value = '3128'">R51 - Toxic to aquatic organisms</xsl:when>
                    <xsl:when test="./i6:value = '3129'">R51/53 - Toxic to aquatic organisms, may cause long-term adverse effects in the aquatic environment</xsl:when>
                    <xsl:when test="./i6:value = '3130'">R52 - Harmful to aquatic organisms</xsl:when>
                    <xsl:when test="./i6:value = '3131'">R52/53 - Harmful to aquatic organisms, may cause long-term adverse effects in the aquatic environment</xsl:when>
                    <xsl:when test="./i6:value = '3132'">R53 - May cause long-term adverse effects in the aquatic environment</xsl:when>
                    <xsl:when test="./i6:value = '3133'">R54 - Toxic to flora</xsl:when>
                    <xsl:when test="./i6:value = '3134'">R55 - Toxic to fauna</xsl:when>
                    <xsl:when test="./i6:value = '3135'">R56 - Toxic to soil organisms</xsl:when>
                    <xsl:when test="./i6:value = '3136'">R57 - Toxic to bees</xsl:when>
                    <xsl:when test="./i6:value = '3137'">R58 - May cause long-term adverse effects in the environment</xsl:when>
                    <xsl:when test="./i6:value = '3138'">R59 - Dangerous for the ozone layer</xsl:when>
                    <xsl:when test="./i6:value = '3140'">R60 - May impair fertility</xsl:when>
                    <xsl:when test="./i6:value = '3141'">R61 - May cause harm to the unborn child</xsl:when>
                    <xsl:when test="./i6:value = '3142'">R62 - Possible risk of impaired fertility</xsl:when>
                    <xsl:when test="./i6:value = '3143'">R63 - Possible risk of harm to the unborn child</xsl:when>
                    <xsl:when test="./i6:value = '3144'">R64 - May cause harm to breastfed babies</xsl:when>
                    <xsl:when test="./i6:value = '3145'">R65 - Harmful: may cause lung damage if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3146'">R66 - Repeated exposure may cause skin dryness or cracking</xsl:when>
                    <xsl:when test="./i6:value = '3147'">R67 - Vapours may cause drowsiness and dizziness</xsl:when>
                    <xsl:when test="./i6:value = '3148'">R68 - Possible risk of irreversible effects</xsl:when>
                    <xsl:when test="./i6:value = '3149'">R68/20 - Harmful: possible risk of irreversible effects through inhalation</xsl:when>
                    <xsl:when test="./i6:value = '3150'">R68/20/21 - Harmful: possible risk of irreversible effects through inhalation and in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3151'">R68/20/21/22 - Harmful: possible risk of irreversible effects through inhalation, in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3152'">R68/20/22- Harmful: possible risk of irreversible effects through inhalation and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3153'">R68/21 - Harmful: possible risk of irreversible effects in contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3154'">R68/21/22 - Harmful: possible risk of irreversible effects in contact with skin and if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '3155'">R68/22 - Harmful: possible risk of irreversible effects if swallowed</xsl:when>
                    <xsl:when test="./i6:value = '5151'">R34 Causes burns.</xsl:when>
                    <xsl:when test="./i6:value = '5152'">R35 Causes severe burns.</xsl:when>
                    <xsl:when test="./i6:value = '5153'">R39 Danger of very serious irreversible effects.</xsl:when>
                    <xsl:when test="./i6:value = '5110'">Carc. Cat. 3; R40  Limited evidence of a carcinogenic effect.</xsl:when>
                    <xsl:when test="./i6:value = '5103'">R42 May cause sensitisation by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5104'">R43 May cause sensitisation by skin contact.</xsl:when>
                    <xsl:when test="./i6:value = '5106'">Carc. Cat. 1; R45  May cause cancer.</xsl:when>
                    <xsl:when test="./i6:value = '5108'">Carc. Cat. 2; R45  May cause cancer.</xsl:when>
                    <xsl:when test="./i6:value = '5111'">Muta. Cat. 1; R46  May cause heritable genetic damage.</xsl:when>
                    <xsl:when test="./i6:value = '5112'">Muta. Cat. 2; R46  May cause heritable genetic damage.</xsl:when>
                    <xsl:when test="./i6:value = '5107'">Carc. Cat. 1; R49  May cause cancer by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5109'">Carc. Cat. 2; R49  May cause cancer by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '8038'">R52 Harmful to aquatic organisms.</xsl:when>
                    <xsl:when test="./i6:value = '8039'">R53 May cause long-term adverse effects in the aquatic environment.</xsl:when>
                    <xsl:when test="./i6:value = '5158'">R59 Dangerous for the ozone layer.</xsl:when>
                    <xsl:when test="./i6:value = '5114'">Repr. Cat. 1; R60  May impair fertility.</xsl:when>
                    <xsl:when test="./i6:value = '5115'">Repr. Cat. 2; R60  May impair fertility.</xsl:when>
                    <xsl:when test="./i6:value = '5154'">Repr. Cat. 1; R61 May cause harm to the unborn child.</xsl:when>
                    <xsl:when test="./i6:value = '5155'">Repr. Cat. 2; R61 May cause harm to the unborn child.</xsl:when>
                    <xsl:when test="./i6:value = '5116'">Repr. Cat. 3; R62  Possible risk of impaired fertility</xsl:when>
                    <xsl:when test="./i6:value = '5156'">Repr. Cat. 3; R63 Possible risk of harm to the unborn child.</xsl:when>
                    <xsl:when test="./i6:value = '5157'">R64 May cause harm to breastfed babies.</xsl:when>
                    <xsl:when test="./i6:value = '5113'">Muta. Cat. 3; R68  Possible risk of irreversible effects.</xsl:when>
                    <xsl:when test="./i6:value = '5105'">R42/43 May cause sensitisation by inhalation and skin contact.</xsl:when>
                    <xsl:when test="./i6:value = '8040'">R52/53 Harmful to aquatic organisms, may cause long-term adverse effects in the aquatic environment.</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Status | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:Classification | //xt:ReasonForNoClassification | //xt:Classification | //xt:ReasonForNoClassification | //xt:Classification | //xt:ReasonForNoClassification | //xt:Classification | //xt:ReasonForNoClassification | //xt:Classification | //xt:ReasonForNoClassification | //xt:Classification | //xt:ReasonForNoClassification | //xt:ReasonForNoClassification | //xt:Code | //xt:Note">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'Status'">Status</xsl:when>
                    <xsl:when test="name(.) = 'Classification'">Classification</xsl:when>
                    <xsl:when test="name(.) = 'Note'"/>
                    <xsl:when test="name(.) = 'Code'">Code</xsl:when>
                    <xsl:when test="name(.) = 'ReasonForNoClassification'">Reason for no classification</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '2660'">67/548/EEC annex 1</xsl:when>
                    <xsl:when test="./i6:value = '2661'">67/548/EEC self classification</xsl:when>
                    <xsl:when test="./i6:value = '1342'">other:</xsl:when>
                    <xsl:when test="./i6:value = '2778'">data lacking</xsl:when>
                    <xsl:when test="./i6:value = '2864'">inconclusive</xsl:when>
                    <xsl:when test="./i6:value = '2762'">conclusive but not sufficient for classification</xsl:when>
                    <xsl:when test="./i6:value = '5103'">R42 May cause sensitisation by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5105'">R42/43 May cause sensitisation by inhalation and skin contact.</xsl:when>
                    <xsl:when test="./i6:value = '5104'">R43 May cause sensitisation by skin contact.</xsl:when>
                    <xsl:when test="./i6:value = '5106'">Carc. Cat. 1; R45  May cause cancer.</xsl:when>
                    <xsl:when test="./i6:value = '5107'">Carc. Cat. 1; R49  May cause cancer by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5108'">Carc. Cat. 2; R45  May cause cancer.</xsl:when>
                    <xsl:when test="./i6:value = '5109'">Carc. Cat. 2; R49  May cause cancer by inhalation.</xsl:when>
                    <xsl:when test="./i6:value = '5110'">Carc. Cat. 3; R40  Limited evidence of a carcinogenic effect.</xsl:when>
                    <xsl:when test="./i6:value = '5111'">Muta. Cat. 1; R46  May cause heritable genetic damage.</xsl:when>
                    <xsl:when test="./i6:value = '5112'">Muta. Cat. 2; R46  May cause heritable genetic damage.</xsl:when>
                    <xsl:when test="./i6:value = '5113'">Muta. Cat. 3; R68  Possible risk of irreversible effects.</xsl:when>
                    <xsl:when test="./i6:value = '5114'">Repr. Cat. 1; R60  May impair fertility.</xsl:when>
                    <xsl:when test="./i6:value = '5115'">Repr. Cat. 2; R60  May impair fertility.</xsl:when>
                    <xsl:when test="./i6:value = '5116'">Repr. Cat. 3; R62  Possible risk of impaired fertility</xsl:when>
                    <xsl:when test="./i6:value = '5117'">Repr. Cat. 1; R61  May cause harm to the unborn child.</xsl:when>
                    <xsl:when test="./i6:value = '5118'">Repr. Cat. 2; R61  May cause harm to the unborn child.</xsl:when>
                    <xsl:when test="./i6:value = '5119'">Repr. Cat. 3; R63  Possible risk of harm to the unborn child.</xsl:when>
                    <xsl:when test="./i6:value = '5120'">R64 May cause harm to breastfed babies.</xsl:when>
                    <xsl:when test="./i6:value = '3234'">S3/9/14.1- keep in a cool, well-ventilated place away from acids</xsl:when>
                    <xsl:when test="./i6:value = '3235'">S3/9/14.2 - keep in a cool, well-ventilated place away from alkali</xsl:when>
                    <xsl:when test="./i6:value = '3236'">S3/9/14.3 - keep in a cool, well-ventilated place away from metals</xsl:when>
                    <xsl:when test="./i6:value = '3237'">S3/9/14.4 - keep in a cool, well-ventilated place away from metal salts</xsl:when>
                    <xsl:when test="./i6:value = '3238'">S3/9/14.5 - keep in a cool, well-ventilated place away from iron, water, alkali</xsl:when>
                    <xsl:when test="./i6:value = '3239'">S3/9/14.6 - keep in a cool, well-ventilated place away from cellulose</xsl:when>
                    <xsl:when test="./i6:value = '3240'">S3/9/14.7 - keep in a cool, well-ventilated place away from highly flammable substances</xsl:when>
                    <xsl:when test="./i6:value = '3242'">S3/9/14/4.1 - keep only in the original container in a cool well-ventilated place away from acids</xsl:when>
                    <xsl:when test="./i6:value = '3244'">S3/9/14/4.3 - keep only in the original container in a cool well-ventilated place away from metals</xsl:when>
                    <xsl:when test="./i6:value = '3246'">S3/9/14/4.5 - store only in the original container in a cool well-ventilated place away from iron, water and alkaline solution</xsl:when>
                    <xsl:when test="./i6:value = '3248'">S3/9/14/4.7 - store only in the original container in a cool well-ventilated place away from highly flammable substances</xsl:when>
                    <xsl:when test="./i6:value = '3243'">S3/9/14/49.2 - keep only in the original container in a cool well-ventilated place away from alkali</xsl:when>
                    <xsl:when test="./i6:value = '3245'">S3/9/14/49.4 - keep only in the original container in a cool well-ventilated place away from metal salts</xsl:when>
                    <xsl:when test="./i6:value = '3247'">S3/9/14/49.6 - store only in the original container in a cool well-ventilated place away from cellulose</xsl:when>
                    <xsl:when test="./i6:value = '3227'">S3/14.1 - keep in a cool place away from acids</xsl:when>
                    <xsl:when test="./i6:value = '3228'">S3/14.2 - keep in a cool place away from alkali</xsl:when>
                    <xsl:when test="./i6:value = '3229'">S3/14.3 - keep in a cool place away from metals</xsl:when>
                    <xsl:when test="./i6:value = '3230'">S3/14.4 - keep in a cool place away from metal salts</xsl:when>
                    <xsl:when test="./i6:value = '3231'">S3/14.5 - keep in a cool place away from iron, water, alkali</xsl:when>
                    <xsl:when test="./i6:value = '3289'">S5.1 - keep contents under water</xsl:when>
                    <xsl:when test="./i6:value = '3290'">S5.2</xsl:when>
                    <xsl:when test="./i6:value = '3291'">S5.3</xsl:when>
                    <xsl:when test="./i6:value = '3304'">S6.1</xsl:when>
                    <xsl:when test="./i6:value = '3305'">S6.2</xsl:when>
                    <xsl:when test="./i6:value = '3183'">S14.1 - keep away from acids, alkalies, heavy metal salts and reducing substances</xsl:when>
                    <xsl:when test="./i6:value = '3184'">S14.2 - from reducing substances (e.g. mines), acids, alkalies and heavy metal compounds (e.g. activators, drying agents, metallic soaps)</xsl:when>
                    <xsl:when test="./i6:value = '3195'">S23.1 - do not breathe vapour/aerosol</xsl:when>
                    <xsl:when test="./i6:value = '3196'">S23.2 - do not breathe gas/vapour</xsl:when>
                    <xsl:when test="./i6:value = '3197'">S23.3 - do not breathe gas/vapour/aerosol</xsl:when>
                    <xsl:when test="./i6:value = '3198'">S23.4 - do not breathe vapour</xsl:when>
                    <xsl:when test="./i6:value = '3199'">S23.5 - do not breathe aerosol</xsl:when>
                    <xsl:when test="./i6:value = '3200'">S23.6 - do not breathe gas</xsl:when>
                    <xsl:when test="./i6:value = '3201'">S23.7 - do not breathe smoke</xsl:when>
                    <xsl:when test="./i6:value = '3208'">S27/28.1 - After contact with skin, take off immediately all contaminated clothing, and wash immediately with plenty of water</xsl:when>
                    <xsl:when test="./i6:value = '3209'">S27/28.2 - After contact with skin, take off immediately all contaminated clothing, and wash immediately with plenty of water and soap</xsl:when>
                    <xsl:when test="./i6:value = '3211'">S28.1 - After contact with skin, wash immediately with plenty of water</xsl:when>
                    <xsl:when test="./i6:value = '3214'">S28.2 - After contact with skin, wash immediately with water and soap</xsl:when>
                    <xsl:when test="./i6:value = '3215'">S28.3 - After contact with skin, wash immediately with acetic acid 3 % and plenty of water</xsl:when>
                    <xsl:when test="./i6:value = '3216'">S28.4 - After contact with skin, wash immediately with polyethylene glycol, followed by plenty of water</xsl:when>
                    <xsl:when test="./i6:value = '3217'">S28.5 - After contact with skin, wash off immediately with cooking oil or acetic acid 0.5---1 %, then cleanse thoroughly withsoap and water</xsl:when>
                    <xsl:when test="./i6:value = '3218'">S28.6 - After contact with skin, wash immediately with plenty of polyethylene glycol/ethanol (1:1)</xsl:when>
                    <xsl:when test="./i6:value = '3219'">S28.7 - After contact with skin, wash immediately with plenty of cuprous sulphate solution 2%</xsl:when>
                    <xsl:when test="./i6:value = '3220'">S28.8 - After contact with skin, wash immediately with plenty of Lutrol</xsl:when>
                    <xsl:when test="./i6:value = '3221'">S28.9 - After contact with skin, wash immediately with plenty of propylene glycol</xsl:when>
                    <xsl:when test="./i6:value = '3212'">S28.10 - After contact with skin, wash immmediatly with plenty of propylene glycol 400 (Roticlean)</xsl:when>
                    <xsl:when test="./i6:value = '3213'">S28.11</xsl:when>
                    <xsl:when test="./i6:value = '3263'">S40.1 - to clean the floor and all objects contaminated by this material, use plenty of water</xsl:when>
                    <xsl:when test="./i6:value = '3264'">S40.2 - to clean the floor and all objects contaminated by this material, use diluted alcaline solution</xsl:when>
                    <xsl:when test="./i6:value = '3265'">S40.3 - to clean the floor and all objects contaminated by this material, use iodised active carbon</xsl:when>
                    <xsl:when test="./i6:value = '3268'">S42.1 - during fumigation wear suitable respiratory equipment</xsl:when>
                    <xsl:when test="./i6:value = '3269'">S42.2 - during spraying wear suitable respiratory equipment</xsl:when>
                    <xsl:when test="./i6:value = '3271'">S43.1 - for extinguishing, use sand, earth, powder or foam</xsl:when>
                    <xsl:when test="./i6:value = '3272'">S43.2 - never use water</xsl:when>
                    <xsl:when test="./i6:value = '3273'">S43.3 - for extinguishing, use water</xsl:when>
                    <xsl:when test="./i6:value = '3274'">S43.4 - for extinguishing, use dry sand</xsl:when>
                    <xsl:when test="./i6:value = '3275'">S43.5 - for extinguishing, use extinguishing powder or sand</xsl:when>
                    <xsl:when test="./i6:value = '3276'">S43.6 - for extinguishing, use foam</xsl:when>
                    <xsl:when test="./i6:value = '3277'">S43.7</xsl:when>
                    <xsl:when test="./i6:value = '3278'">S43.8</xsl:when>
                    <xsl:when test="./i6:value = '3279'">S43.9</xsl:when>
                    <xsl:when test="./i6:value = '3284'">S47/49.1 - store only in the original container at a temperature not exceeding:</xsl:when>
                    <xsl:when test="./i6:value = '3286'">S48.1 - keep wet with water</xsl:when>
                    <xsl:when test="./i6:value = '3293'">S50.1 - do not mix with peroxide activators and reducing agents</xsl:when>
                    <xsl:when test="./i6:value = '3294'">S50.2 - do not mix with acids</xsl:when>
                    <xsl:when test="./i6:value = '3295'">S50.3 - do not mix with alkali</xsl:when>
                    <xsl:when test="./i6:value = '3296'">S50.4 - do not mix with other chemicals</xsl:when>
                    <xsl:when test="./i6:value = '3178'">S1 - keep locked up</xsl:when>
                    <xsl:when test="./i6:value = '3179'">S1/2 - keep locked up and out of reach of children</xsl:when>
                    <xsl:when test="./i6:value = '3189'">S2 - keep out of the reach of children</xsl:when>
                    <xsl:when test="./i6:value = '3225'">S3 - keep in a cool place</xsl:when>
                    <xsl:when test="./i6:value = '3232'">S3/7 - keep container tightly closed in a cool place</xsl:when>
                    <xsl:when test="./i6:value = '3233'">S3/9/14 - keep in a cool, well-ventilated place away from ... (incompatible materials to be indicated by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3241'">S3/9/14/49 - keep only in the original container in a cool, well-ventilated place away from ... (incompatible materials to be indicated by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3249'">S3/9/49 - keep only in the original container in a cool, well-ventilated place</xsl:when>
                    <xsl:when test="./i6:value = '3226'">S3/14 - keep in a cool place away from ... (incompatible materials to be indicated by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3261'">S4 - keep away from living quarters</xsl:when>
                    <xsl:when test="./i6:value = '3288'">S5 - keep contents under... (appropriate liquid to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3303'">S6 - keep under ... (inert gas to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3311'">S7 - keep container tightly closed</xsl:when>
                    <xsl:when test="./i6:value = '3313'">S7/8 - keep container tightly closed and dry</xsl:when>
                    <xsl:when test="./i6:value = '3314'">S7/9 - keep container tightly closed and in a well-ventilated place</xsl:when>
                    <xsl:when test="./i6:value = '3312'">S7/47 - keep container tightly closed and at a temperature not exceeding ...°C (to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3315'">S8 - keep container dry</xsl:when>
                    <xsl:when test="./i6:value = '3316'">S9 - keep container in a well-ventilated place</xsl:when>
                    <xsl:when test="./i6:value = '3180'">S12 - do not keep the container sealed</xsl:when>
                    <xsl:when test="./i6:value = '3181'">S13 - keep away from food, drink and animal feedingstuffs</xsl:when>
                    <xsl:when test="./i6:value = '3182'">S14 - keep away from ... (incompatible materials to be indicated by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3185'">S15 - keep away from heat</xsl:when>
                    <xsl:when test="./i6:value = '3186'">S16 - keep away from sources of ignition - No smoking</xsl:when>
                    <xsl:when test="./i6:value = '3187'">S17 - keep away from combustible material</xsl:when>
                    <xsl:when test="./i6:value = '3188'">S18 - handle and open container with care</xsl:when>
                    <xsl:when test="./i6:value = '3190'">S20 - when using do not eat or drink</xsl:when>
                    <xsl:when test="./i6:value = '3191'">S20/21 - when using do not eat, drink or smoke</xsl:when>
                    <xsl:when test="./i6:value = '3192'">S21 - when using do not smoke</xsl:when>
                    <xsl:when test="./i6:value = '3193'">S22 - do not breathe dust</xsl:when>
                    <xsl:when test="./i6:value = '3194'">S23 - do not breathe gas/fumes/vapour/spray (appropriate wording to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3202'">S24 - avoid contact with skin</xsl:when>
                    <xsl:when test="./i6:value = '3203'">S24/25 - avoid contact with skin and eyes</xsl:when>
                    <xsl:when test="./i6:value = '3204'">S25 - avoid contact with eyes</xsl:when>
                    <xsl:when test="./i6:value = '3205'">S26 - in case of contact with eyes, rinse immediately with plenty of water and seek medical advice</xsl:when>
                    <xsl:when test="./i6:value = '3206'">S27 - take off immediately all contaminated clothing</xsl:when>
                    <xsl:when test="./i6:value = '3207'">S27/28 - After contact with skin, take off immediately all contaminated clothing, and wash immediately with plenty of ... (to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3210'">S28 - After contact with skin, wash immediately with plenty of ... (to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3222'">S29 - do not empty into drains</xsl:when>
                    <xsl:when test="./i6:value = '3223'">S29/35 - do not empty into drains; dispose of this material and its container in a safe way</xsl:when>
                    <xsl:when test="./i6:value = '3224'">S29/56 - do not empty into drains; dispose of this material and its container at hazardous or special waste collection point</xsl:when>
                    <xsl:when test="./i6:value = '3250'">S30 - never add water to this product</xsl:when>
                    <xsl:when test="./i6:value = '3251'">S33 - take precautionary measures against static discharges</xsl:when>
                    <xsl:when test="./i6:value = '3252'">S35 - this material and its container must be disposed of in a safe way</xsl:when>
                    <xsl:when test="./i6:value = '3253'">S36 - wear suitable protective clothing</xsl:when>
                    <xsl:when test="./i6:value = '3254'">S36/37 - wear suitable protective clothing and gloves</xsl:when>
                    <xsl:when test="./i6:value = '3255'">S36/37/39 - wear suitable protective clothing, gloves and eye/face protection</xsl:when>
                    <xsl:when test="./i6:value = '3256'">S36/39 - wear suitable protective clothing and eye/face protection</xsl:when>
                    <xsl:when test="./i6:value = '3257'">S37 - wear suitable gloves</xsl:when>
                    <xsl:when test="./i6:value = '3258'">S37/39 - wear suitable gloves and eye/face protection</xsl:when>
                    <xsl:when test="./i6:value = '3259'">S38 - in case of insufficient ventilation, wear suitable respiratory equipment</xsl:when>
                    <xsl:when test="./i6:value = '3260'">S39 - wear eye/face protection</xsl:when>
                    <xsl:when test="./i6:value = '3262'">S40 - to clean the floor and all objects contaminated by this material, use  ... (to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3266'">S41 - in case of fire and/or explosion do not breathe fumes</xsl:when>
                    <xsl:when test="./i6:value = '3267'">S42 - during fumigation/spraying wear suitable respiratory equipment (appropriate wording to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3270'">S43 - in case of fire, use ... (indicate in the space the precise type of fire-fighting equipment. if water increases risk, add 'never use water')</xsl:when>
                    <xsl:when test="./i6:value = '3280'">S45 - in case of accident or if you feel unwell, seek medical advice immediately (show the label where possible)</xsl:when>
                    <xsl:when test="./i6:value = '3281'">S46 - if swallowed, seek medical advice immediately and show this container or label</xsl:when>
                    <xsl:when test="./i6:value = '3282'">S47 - keep at temperature not exceeding ...°C (to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3283'">S47/49 - keep only in the original container at a temperature not exceeding ...°C (to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3285'">S48 - keep wetted with ... (appropriate material to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3287'">S49 - keep only in the original container</xsl:when>
                    <xsl:when test="./i6:value = '3292'">S50 - do not mix with ... (to be specified by the manufacturer)</xsl:when>
                    <xsl:when test="./i6:value = '3297'">S51 - use only in well-ventilated areas</xsl:when>
                    <xsl:when test="./i6:value = '3298'">S52 - not recommended for interior use on large surface areas</xsl:when>
                    <xsl:when test="./i6:value = '3299'">S53 - avoid exposure - obtain special instructions before use</xsl:when>
                    <xsl:when test="./i6:value = '3300'">S56 - dispose of this material and its container to hazardous or special waste collection point</xsl:when>
                    <xsl:when test="./i6:value = '3301'">S57 - use appropriate container to avoid environmental contamination</xsl:when>
                    <xsl:when test="./i6:value = '3302'">S59 - refer to manufacturer/supplier for information on recovery/recycling</xsl:when>
                    <xsl:when test="./i6:value = '3306'">S60 - this material and its container must be disposed of as hazardous waste</xsl:when>
                    <xsl:when test="./i6:value = '3307'">S61 - avoid release to the environment. refer to special instructions/safety data sheets</xsl:when>
                    <xsl:when test="./i6:value = '3308'">S62 - if swallowed, do not induce vomiting: seek medical advice immediately and show this container or label</xsl:when>
                    <xsl:when test="./i6:value = '3309'">S63 - in case of accident by inhalation: remove casualty to fresh air and keep at rest</xsl:when>
                    <xsl:when test="./i6:value = '3310'">S64 - if swallowed, rinse mouth with water (only if the person is conscious)</xsl:when>
                    <xsl:when test="./i6:value = '2954'">Note A</xsl:when>
                    <xsl:when test="./i6:value = '2955'">Note B</xsl:when>
                    <xsl:when test="./i6:value = '2956'">Note C</xsl:when>
                    <xsl:when test="./i6:value = '2957'">Note D</xsl:when>
                    <xsl:when test="./i6:value = '2958'">Note E</xsl:when>
                    <xsl:when test="./i6:value = '2959'">Note F</xsl:when>
                    <xsl:when test="./i6:value = '2960'">Note G</xsl:when>
                    <xsl:when test="./i6:value = '2961'">Note H</xsl:when>
                    <xsl:when test="./i6:value = '2962'">Note J</xsl:when>
                    <xsl:when test="./i6:value = '2963'">Note K</xsl:when>
                    <xsl:when test="./i6:value = '2964'">Note L</xsl:when>
                    <xsl:when test="./i6:value = '2965'">Note M</xsl:when>
                    <xsl:when test="./i6:value = '2966'">Note N</xsl:when>
                    <xsl:when test="./i6:value = '2967'">Note P</xsl:when>
                    <xsl:when test="./i6:value = '2968'">Note Q</xsl:when>
                    <xsl:when test="./i6:value = '2969'">Note R</xsl:when>
                    <xsl:when test="./i6:value = '2970'">Note S</xsl:when>
                    <xsl:when test="./i6:value = '55440'">Note T</xsl:when>
                    <xsl:when test="./i6:value = '2948'">Note 1</xsl:when>
                    <xsl:when test="./i6:value = '2949'">Note 2</xsl:when>
                    <xsl:when test="./i6:value = '2950'">Note 3</xsl:when>
                    <xsl:when test="./i6:value = '2951'">Note 4</xsl:when>
                    <xsl:when test="./i6:value = '2952'">Note 5</xsl:when>
                    <xsl:when test="./i6:value = '2953'">Note 6</xsl:when>
                    <xsl:when test="./i6:value = '55441'">Note 7</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Safeties | //xt:SpecificConcentrationLimits | //xt:Notes">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'Safeties'"/>
                    <xsl:when test="name(.) = 'SpecificConcentrationLimits'"/>
                    <xsl:when test="name(.) = 'Notes'"/>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:GeneralInformation | //xt:RelatedCompositions | //xt:Classification | //xt:Explosiveness | //xt:Oxidising | //xt:Flammability | //xt:ThermalStability | //xt:AcuteToxicity | //xt:IrreversibleDamage | //xt:RepeatedDoseToxicity | //xt:IrritationCorrosion | //xt:Sensitisation | //xt:Carcinogenicity | //xt:Mutagenicity | //xt:ToxicityReproductionFertility | //xt:ToxicityReproductionDevelopment | //xt:ToxicityReproductionBreastfeeding | //xt:Environment | //xt:Labelling | //xt:IndicationsOfDangerBlock | //xt:RiskPhrases | //xt:SafetyPhrases | //xt:SpecificConcentrationLimits | //xt:NotesBlock">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'Labelling'">Labelling</xsl:when>
                    <xsl:when test="name(.) = 'RelatedCompositions'">Related composition</xsl:when>
                    <xsl:when test="name(.) = 'IrritationCorrosion'">Irritation / corrosion</xsl:when>
                    <xsl:when test="name(.) = 'AcuteToxicity'">Acute toxicity</xsl:when>
                    <xsl:when test="name(.) = 'Oxidising'">Oxidising properties</xsl:when>
                    <xsl:when test="name(.) = 'IrreversibleDamage'">Acute toxicity - irreversible damage after single exposure</xsl:when>
                    <xsl:when test="name(.) = 'Sensitisation'">Sensitisation</xsl:when>
                    <xsl:when test="name(.) = 'IndicationsOfDangerBlock'">Indication of danger</xsl:when>
                    <xsl:when test="name(.) = 'RiskPhrases'">Risk phrases</xsl:when>
                    <xsl:when test="name(.) = 'NotesBlock'">Notes</xsl:when>
                    <xsl:when test="name(.) = 'GeneralInformation'">General information</xsl:when>
                    <xsl:when test="name(.) = 'Classification'">Classification</xsl:when>
                    <xsl:when test="name(.) = 'Flammability'">Flammability</xsl:when>
                    <xsl:when test="name(.) = 'ThermalStability'">Thermal stability</xsl:when>
                    <xsl:when test="name(.) = 'ToxicityReproductionBreastfeeding'">Toxicity to reproduction - breastfed babies</xsl:when>
                    <xsl:when test="name(.) = 'ToxicityReproductionDevelopment'">Toxicity to reproduction - development</xsl:when>
                    <xsl:when test="name(.) = 'Environment'">Environment</xsl:when>
                    <xsl:when test="name(.) = 'SpecificConcentrationLimits'">Specific concentration limits</xsl:when>
                    <xsl:when test="name(.) = 'Mutagenicity'">Mutagenicity - genetic toxicity</xsl:when>
                    <xsl:when test="name(.) = 'SafetyPhrases'">Safety phrases</xsl:when>
                    <xsl:when test="name(.) = 'Explosiveness'">Explosiveness</xsl:when>
                    <xsl:when test="name(.) = 'Carcinogenicity'">Carcinogenicity</xsl:when>
                    <xsl:when test="name(.) = 'RepeatedDoseToxicity'">Repeated dose toxicity</xsl:when>
                    <xsl:when test="name(.) = 'ToxicityReproductionFertility'">Toxicity to reproduction - fertility</xsl:when>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:Name | //xt:IndexNumber | //xt:ATPInserted | //xt:ATPLastUpdate | //xt:Remarks | //xt:Additionaltext">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'Additionaltext'">Additional text</xsl:when>
                    <xsl:when test="name(.) = 'Remarks'">Remarks</xsl:when>
                    <xsl:when test="name(.) = 'ATPInserted'">ATP inserted</xsl:when>
                    <xsl:when test="name(.) = 'IndexNumber'">Index number</xsl:when>
                    <xsl:when test="name(.) = 'ATPLastUpdate'">ATP last update</xsl:when>
                    <xsl:when test="name(.) = 'Name'">Name</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//i6:country/i6:value">
        <xsl:choose>
            <xsl:when test=". = '3446'">Åland </xsl:when>
            <xsl:when test=". = '2683'">Afghanistan </xsl:when>
            <xsl:when test=". = '2684'">Albania </xsl:when>
            <xsl:when test=". = '2685'">Algeria </xsl:when>
            <xsl:when test=". = '2686'">American Samoa </xsl:when>
            <xsl:when test=". = '2688'">Andorra </xsl:when>
            <xsl:when test=". = '2689'">Angola </xsl:when>
            <xsl:when test=". = '2690'">Anguilla </xsl:when>
            <xsl:when test=". = '2692'">Antarctica </xsl:when>
            <xsl:when test=". = '2695'">Antigua and Barbuda </xsl:when>
            <xsl:when test=". = '2696'">Argentina </xsl:when>
            <xsl:when test=". = '2697'">Armenia </xsl:when>
            <xsl:when test=". = '2698'">Aruba </xsl:when>
            <xsl:when test=". = '107'">Australia </xsl:when>
            <xsl:when test=". = '108'">Austria </xsl:when>
            <xsl:when test=". = '2701'">Azerbaijan </xsl:when>
            <xsl:when test=". = '2702'">Bahamas </xsl:when>
            <xsl:when test=". = '2703'">Bahrain </xsl:when>
            <xsl:when test=". = '2704'">Bangladesh </xsl:when>
            <xsl:when test=". = '2705'">Barbados </xsl:when>
            <xsl:when test=". = '2707'">Belarus </xsl:when>
            <xsl:when test=". = '147'">Belgium </xsl:when>
            <xsl:when test=". = '2708'">Belize </xsl:when>
            <xsl:when test=". = '2709'">Benin </xsl:when>
            <xsl:when test=". = '2710'">Bermuda </xsl:when>
            <xsl:when test=". = '2711'">Bhutan </xsl:when>
            <xsl:when test=". = '2720'">Bolivia, Plurinational State of </xsl:when>
            <xsl:when test=". = '2722'">Bosnia and Herzegovina </xsl:when>
            <xsl:when test=". = '2723'">Botswana </xsl:when>
            <xsl:when test=". = '2724'">Bouvet Island </xsl:when>
            <xsl:when test=". = '2725'">Brazil </xsl:when>
            <xsl:when test=". = '2726'">British Indian Ocean Territory </xsl:when>
            <xsl:when test=". = '3421'">British Virgin Islands </xsl:when>
            <xsl:when test=". = '2727'">Brunei Darussalam </xsl:when>
            <xsl:when test=". = '184'">Bulgaria </xsl:when>
            <xsl:when test=". = '2729'">Burkina Faso </xsl:when>
            <xsl:when test=". = '2730'">Burundi </xsl:when>
            <xsl:when test=". = '2736'">Cabo Verde </xsl:when>
            <xsl:when test=". = '2734'">Cambodia </xsl:when>
            <xsl:when test=". = '2735'">Cameroon </xsl:when>
            <xsl:when test=". = '206'">Canada </xsl:when>
            <xsl:when test=". = '2746'">Cayman Islands </xsl:when>
            <xsl:when test=". = '2747'">Central African Republic </xsl:when>
            <xsl:when test=". = '2748'">Chad </xsl:when>
            <xsl:when test=". = '2749'">Chile </xsl:when>
            <xsl:when test=". = '2750'">China (People’s Republic of) </xsl:when>
            <xsl:when test=". = '2751'">Christmas Island </xsl:when>
            <xsl:when test=". = '2754'">Cocos (Keeling) Islands </xsl:when>
            <xsl:when test=". = '2755'">Colombia </xsl:when>
            <xsl:when test=". = '2759'">Comoros </xsl:when>
            <xsl:when test=". = '2764'">Congo </xsl:when>
            <xsl:when test=". = '2769'">Cook Islands </xsl:when>
            <xsl:when test=". = '2771'">Costa Rica </xsl:when>
            <xsl:when test=". = '2774'">Côte d'Ivoire </xsl:when>
            <xsl:when test=". = '286'">Croatia </xsl:when>
            <xsl:when test=". = '2773'">Cuba </xsl:when>
            <xsl:when test=". = '304'">Cyprus </xsl:when>
            <xsl:when test=". = '307'">Czech Republic </xsl:when>
            <xsl:when test=". = '2765'">Democratic Republic of the Congo </xsl:when>
            <xsl:when test=". = '2882'">Democratic People’s Republic of Korea </xsl:when>
            <xsl:when test=". = '333'">Denmark </xsl:when>
            <xsl:when test=". = '2790'">Djibouti </xsl:when>
            <xsl:when test=". = '2791'">Dominica </xsl:when>
            <xsl:when test=". = '2792'">Dominican Republic </xsl:when>
            <xsl:when test=". = '2799'">Ecuador </xsl:when>
            <xsl:when test=". = '2800'">Egypt </xsl:when>
            <xsl:when test=". = '2801'">El Salvador </xsl:when>
            <xsl:when test=". = '2803'">Equatorial Guinea </xsl:when>
            <xsl:when test=". = '2804'">Eritrea </xsl:when>
            <xsl:when test=". = '754'">Estonia </xsl:when>
            <xsl:when test=". = '2805'">Ethiopia </xsl:when>
            <xsl:when test=". = '2813'">Falkland Islands (Malvinas) </xsl:when>
            <xsl:when test=". = '2815'">Faroe Islands </xsl:when>
            <xsl:when test=". = '2817'">Fiji </xsl:when>
            <xsl:when test=". = '766'">Finland </xsl:when>
            <xsl:when test=". = '2897'">Former Yugoslav Republic of Macedonia </xsl:when>
            <xsl:when test=". = '779'">France </xsl:when>
            <xsl:when test=". = '2825'">French Guiana </xsl:when>
            <xsl:when test=". = '2826'">French Polynesia </xsl:when>
            <xsl:when test=". = '2827'">French Southern and Antarctic Lands </xsl:when>
            <xsl:when test=". = '2828'">Gabon </xsl:when>
            <xsl:when test=". = '2829'">Gambia </xsl:when>
            <xsl:when test=". = '2834'">Georgia </xsl:when>
            <xsl:when test=". = '807'">Germany </xsl:when>
            <xsl:when test=". = '2835'">Ghana </xsl:when>
            <xsl:when test=". = '2836'">Gibraltar </xsl:when>
            <xsl:when test=". = '810'">Greece </xsl:when>
            <xsl:when test=". = '2838'">Greenland </xsl:when>
            <xsl:when test=". = '2839'">Grenada </xsl:when>
            <xsl:when test=". = '2840'">Guadeloupe </xsl:when>
            <xsl:when test=". = '2841'">Guam </xsl:when>
            <xsl:when test=". = '2842'">Guatemala </xsl:when>
            <xsl:when test=". = '7818'">Guernsey </xsl:when>
            <xsl:when test=". = '2843'">Guinea </xsl:when>
            <xsl:when test=". = '2844'">Guinea-Bissau </xsl:when>
            <xsl:when test=". = '2845'">Guyana </xsl:when>
            <xsl:when test=". = '2846'">Haiti </xsl:when>
            <xsl:when test=". = '2851'">Heard Island and McDonald Islands </xsl:when>
            <xsl:when test=". = '2854'">Holy See </xsl:when>
            <xsl:when test=". = '2855'">Honduras </xsl:when>
            <xsl:when test=". = '2856'">Hong Kong (China) </xsl:when>
            <xsl:when test=". = '845'">Hungary </xsl:when>
            <xsl:when test=". = '882'">Iceland </xsl:when>
            <xsl:when test=". = '2865'">India </xsl:when>
            <xsl:when test=". = '2866'">Indonesia </xsl:when>
            <xsl:when test=". = '2870'">Iran </xsl:when>
            <xsl:when test=". = '2871'">Iraq </xsl:when>
            <xsl:when test=". = '911'">Ireland </xsl:when>
            <xsl:when test=". = '7819'">Isle of Man </xsl:when>
            <xsl:when test=". = '2876'">Israel </xsl:when>
            <xsl:when test=". = '916'">Italy </xsl:when>
            <xsl:when test=". = '2877'">Jamaica </xsl:when>
            <xsl:when test=". = '918'">Japan </xsl:when>
            <xsl:when test=". = '7820'">Jersey </xsl:when>
            <xsl:when test=". = '2878'">Jordan </xsl:when>
            <xsl:when test=". = '2879'">Kazakhstan </xsl:when>
            <xsl:when test=". = '2880'">Kenya </xsl:when>
            <xsl:when test=". = '2881'">Kiribati </xsl:when>
            <xsl:when test=". = '2883'">Korea </xsl:when>
            <xsl:when test=". = '2884'">Kuwait </xsl:when>
            <xsl:when test=". = '2885'">Kyrgyzstan </xsl:when>
            <xsl:when test=". = '2886'">Lao People's Democratic Republic </xsl:when>
            <xsl:when test=". = '985'">Latvia </xsl:when>
            <xsl:when test=". = '2887'">Lebanon </xsl:when>
            <xsl:when test=". = '2888'">Lesotho </xsl:when>
            <xsl:when test=". = '2889'">Liberia </xsl:when>
            <xsl:when test=". = '2890'">Libya </xsl:when>
            <xsl:when test=". = '2891'">Liechtenstein </xsl:when>
            <xsl:when test=". = '1024'">Lithuania </xsl:when>
            <xsl:when test=". = '1041'">Luxembourg </xsl:when>
            <xsl:when test=". = '2896'">Macau (China) </xsl:when>
            <xsl:when test=". = '2898'">Madagascar </xsl:when>
            <xsl:when test=". = '2899'">Malawi </xsl:when>
            <xsl:when test=". = '2900'">Malaysia </xsl:when>
            <xsl:when test=". = '2901'">Maldives </xsl:when>
            <xsl:when test=". = '2902'">Mali </xsl:when>
            <xsl:when test=". = '1048'">Malta </xsl:when>
            <xsl:when test=". = '2904'">Marshall Islands </xsl:when>
            <xsl:when test=". = '2905'">Martinique </xsl:when>
            <xsl:when test=". = '2908'">Mauritania </xsl:when>
            <xsl:when test=". = '2909'">Mauritius </xsl:when>
            <xsl:when test=". = '2910'">Mayotte </xsl:when>
            <xsl:when test=". = '1067'">Mexico </xsl:when>
            <xsl:when test=". = '3877'">Micronesia </xsl:when>
            <xsl:when test=". = '2919'">Moldova </xsl:when>
            <xsl:when test=". = '2921'">Monaco </xsl:when>
            <xsl:when test=". = '2922'">Mongolia </xsl:when>
            <xsl:when test=". = '7821'">Montenegro </xsl:when>
            <xsl:when test=". = '2924'">Montserrat </xsl:when>
            <xsl:when test=". = '2925'">Morocco </xsl:when>
            <xsl:when test=". = '2926'">Mozambique </xsl:when>
            <xsl:when test=". = '2930'">Myanmar </xsl:when>
            <xsl:when test=". = '2932'">Namibia </xsl:when>
            <xsl:when test=". = '2933'">Nauru </xsl:when>
            <xsl:when test=". = '2934'">Nepal </xsl:when>
            <xsl:when test=". = '1158'">Netherlands </xsl:when>
            <xsl:when test=". = '2935'">Netherlands Antilles </xsl:when>
            <xsl:when test=". = '2938'">New Caledonia </xsl:when>
            <xsl:when test=". = '1161'">New Zealand </xsl:when>
            <xsl:when test=". = '2939'">Nicaragua </xsl:when>
            <xsl:when test=". = '2940'">Niger </xsl:when>
            <xsl:when test=". = '2941'">Nigeria </xsl:when>
            <xsl:when test=". = '2942'">Niue </xsl:when>
            <xsl:when test=". = '2945'">Norfolk Island </xsl:when>
            <xsl:when test=". = '2946'">Northern Mariana Islands </xsl:when>
            <xsl:when test=". = '1175'">Norway </xsl:when>
            <xsl:when test=". = '2977'">Oman </xsl:when>
            <xsl:when test=". = '2984'">Pakistan </xsl:when>
            <xsl:when test=". = '2985'">Palau </xsl:when>
            <xsl:when test=". = '2986'">Palestinian Authority </xsl:when>
            <xsl:when test=". = '2987'">Panama </xsl:when>
            <xsl:when test=". = '2988'">Papua New Guinea </xsl:when>
            <xsl:when test=". = '2989'">Paraguay </xsl:when>
            <xsl:when test=". = '2994'">Peru </xsl:when>
            <xsl:when test=". = '2995'">Philippines </xsl:when>
            <xsl:when test=". = '3000'">Pitcairn </xsl:when>
            <xsl:when test=". = '1394'">Poland </xsl:when>
            <xsl:when test=". = '1401'">Portugal </xsl:when>
            <xsl:when test=". = '3027'">Puerto Rico </xsl:when>
            <xsl:when test=". = '3028'">Qatar </xsl:when>
            <xsl:when test=". = '1496'">Romania </xsl:when>
            <xsl:when test=". = '3177'">Réunion </xsl:when>
            <xsl:when test=". = '3175'">Russia </xsl:when>
            <xsl:when test=". = '3176'">Rwanda </xsl:when>
            <xsl:when test=". = '7823'">Saint Barthélemy </xsl:when>
            <xsl:when test=". = '3318'">Saint Helena </xsl:when>
            <xsl:when test=". = '3319'">Saint Kitts and Nevis </xsl:when>
            <xsl:when test=". = '3320'">Saint Lucia </xsl:when>
            <xsl:when test=". = '7824'">Saint Martin </xsl:when>
            <xsl:when test=". = '3321'">Saint Pierre and Miquelon </xsl:when>
            <xsl:when test=". = '3322'">Saint Vincent and the Grenadines </xsl:when>
            <xsl:when test=". = '3323'">Samoa </xsl:when>
            <xsl:when test=". = '3324'">San Marino </xsl:when>
            <xsl:when test=". = '3325'">Sao Tome and Principe </xsl:when>
            <xsl:when test=". = '3326'">Saudi Arabia </xsl:when>
            <xsl:when test=". = '3328'">Senegal </xsl:when>
            <xsl:when test=". = '3332'">Serbia </xsl:when>
            <xsl:when test=". = '3333'">Seychelles </xsl:when>
            <xsl:when test=". = '3336'">Sierra Leone </xsl:when>
            <xsl:when test=". = '3337'">Singapore </xsl:when>
            <xsl:when test=". = '3339'">Slovak Republic </xsl:when>
            <xsl:when test=". = '1562'">Slovenia </xsl:when>
            <xsl:when test=". = '3340'">Solomon Islands </xsl:when>
            <xsl:when test=". = '3343'">Somalia </xsl:when>
            <xsl:when test=". = '3344'">South Africa </xsl:when>
            <xsl:when test=". = '3345'">South Georgia and the South Sandwich Islands </xsl:when>
            <xsl:when test=". = '1567'">Spain </xsl:when>
            <xsl:when test=". = '3346'">Sri Lanka </xsl:when>
            <xsl:when test=". = '3352'">Sudan </xsl:when>
            <xsl:when test=". = '3355'">Suriname </xsl:when>
            <xsl:when test=". = '3357'">Svalbard and Jan Mayen </xsl:when>
            <xsl:when test=". = '3358'">Swaziland </xsl:when>
            <xsl:when test=". = '1591'">Sweden </xsl:when>
            <xsl:when test=". = '1595'">Switzerland </xsl:when>
            <xsl:when test=". = '3359'">Syrian Arab Republic </xsl:when>
            <xsl:when test=". = '3362'">Taiwan, Province of China </xsl:when>
            <xsl:when test=". = '64842'">Chinese Taipei </xsl:when>
            <xsl:when test=". = '3363'">Tajikistan </xsl:when>
            <xsl:when test=". = '3364'">Tanzania, United Republic of </xsl:when>
            <xsl:when test=". = '3366'">Thailand </xsl:when>
            <xsl:when test=". = '3370'">Timor-Leste </xsl:when>
            <xsl:when test=". = '3371'">Togo </xsl:when>
            <xsl:when test=". = '3372'">Tokelau </xsl:when>
            <xsl:when test=". = '3373'">Tonga </xsl:when>
            <xsl:when test=". = '3393'">Trinidad and Tobago </xsl:when>
            <xsl:when test=". = '3394'">Tunisia </xsl:when>
            <xsl:when test=". = '1641'">Turkey </xsl:when>
            <xsl:when test=". = '3395'">Turkmenistan </xsl:when>
            <xsl:when test=". = '3396'">Turks and Caicos Islands </xsl:when>
            <xsl:when test=". = '3397'">Tuvalu </xsl:when>
            <xsl:when test=". = '3402'">Uganda </xsl:when>
            <xsl:when test=". = '3403'">Ukraine </xsl:when>
            <xsl:when test=". = '3406'">United Arab Emirates </xsl:when>
            <xsl:when test=". = '1651'">United Kingdom </xsl:when>
            <xsl:when test=". = '1652'">United States </xsl:when>
            <xsl:when test=". = '3407'">United States Minor Outlying Islands </xsl:when>
            <xsl:when test=". = '3422'">United States Virgin Islands </xsl:when>
            <xsl:when test=". = '3410'">Uruguay </xsl:when>
            <xsl:when test=". = '3412'">Uzbekistan </xsl:when>
            <xsl:when test=". = '3414'">Vanuatu </xsl:when>
            <xsl:when test=". = '3416'">Venezuela </xsl:when>
            <xsl:when test=". = '3420'">Viet Nam </xsl:when>
            <xsl:when test=". = '3425'">Wallis And Futuna </xsl:when>
            <xsl:when test=". = '3428'">Western Sahara </xsl:when>
            <xsl:when test=". = '3433'">Yemen </xsl:when>
            <xsl:when test=". = '3434'">Zambia </xsl:when>
            <xsl:when test=". = '3435'">Zimbabwe </xsl:when>
            <xsl:when test=". = '1342'">other: </xsl:when>
            <xsl:when test=". = '2207'">not specified </xsl:when>
            <xsl:when test=". = '1173'">no data </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="//xt:DataProtection/i6:confidentiality">
        <xsl:choose>
            <xsl:when test=". = '2732'">CBI </xsl:when>
            <xsl:when test=". = '2859'">IP </xsl:when>
            <xsl:when test=". = '3441'">no PA </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
